## efivar 0.15

=== Makefile ===
TOPDIR = $(shell echo $$PWD)

SUBDIRS := src docs
VERSION := 0.15

all : $(SUBDIRS)

$(SUBDIRS) :
	$(MAKE) -C $@ TOPDIR=$(TOPDIR) SRCDIR=$(TOPDIR)/$@/ ARCH=$(ARCH) VERSION=$(VERSION)

clean :
	@for x in $(SUBDIRS) ; do $(MAKE) -C $${x} TOPDIR=$(TOPDIR) SRCDIR=$(TOPDIR)/$@/ ARCH=$(ARCH) $@ ; done

install :
	@for x in $(SUBDIRS) ; do $(MAKE) -C $${x} TOPDIR=$(TOPDIR) SRCDIR=$(TOPDIR)/$@/ ARCH=$(ARCH) VERSION=$(VERSION) DESTDIR=$(DESTDIR) includedir=$(includedir) bindir=$(bindir) libdir=$(libdir) PCDIR=$(PCDIR) $@ ; done

test : all
	@for x in $(SUBDIRS) ; do $(MAKE) -C $${x} TOPDIR=$(TOPDIR) SRCDIR=$(TOPDIR)/$@/ ARCH=$(ARCH) $@ ; done

.PHONY: $(SUBDIRS) all clean install test

include $(TOPDIR)/Make.defaults
include $(TOPDIR)/Make.rules

GITTAG = $(VERSION)

test-archive:
	@rm -rf /tmp/efivar-$(VERSION) /tmp/efivar-$(VERSION)-tmp
	@mkdir -p /tmp/efivar-$(VERSION)-tmp
	@git archive --format=tar $(shell git branch | awk '/^*/ { print $$2 }') | ( cd /tmp/efivar-$(VERSION)-tmp/ ; tar x )
	@git diff | ( cd /tmp/efivar-$(VERSION)-tmp/ ; patch -s -p1 -b -z .gitdiff )
	@mv /tmp/efivar-$(VERSION)-tmp/ /tmp/efivar-$(VERSION)/
	@dir=$$PWD; cd /tmp; tar -c --bzip2 -f $$dir/efivar-$(VERSION).tar.bz2 efivar-$(VERSION)
	@rm -rf /tmp/efivar-$(VERSION)
	@echo "The archive is in efivar-$(VERSION).tar.bz2"

tag:
	git tag -s $(GITTAG) refs/heads/master

archive: tag
	@rm -rf /tmp/efivar-$(VERSION) /tmp/efivar-$(VERSION)-tmp
	@mkdir -p /tmp/efivar-$(VERSION)-tmp
	@git archive --format=tar $(GITTAG) | ( cd /tmp/efivar-$(VERSION)-tmp/ ; tar x )
	@mv /tmp/efivar-$(VERSION)-tmp/ /tmp/efivar-$(VERSION)/
	@dir=$$PWD; cd /tmp; tar -c --bzip2 -f $$dir/efivar-$(VERSION).tar.bz2 efivar-$(VERSION)
	@rm -rf /tmp/efivar-$(VERSION)
	@echo "The archive is in efivar-$(VERSION).tar.bz2"

=== docs/Makefile ===
SRCDIR = .
TOPDIR = $(SRCDIR)/..

include $(TOPDIR)/Make.defaults

MAN1TARGETS = efivar.1
MAN3TARGETS = efi_append_variable.3 \
	     efi_del_variable.3 \
	     efi_get_next_variable_name.3 \
	     efi_get_variable.3 \
	     efi_get_variable_attributes.3 \
	     efi_get_variable_size.3 \
	     efi_guid_to_name.3 \
	     efi_guid_to_str.3 \
	     efi_guid_to_symbol.3 \
	     efi_name_to_guid.3 \
	     efi_set_variable.3 \
	     efi_str_to_guid.3 \
	     efi_symbol_to_guid.3 \
	     efi_variables_supported.3

all :

clean :

test :

install :
	$(INSTALL) -d -m 755 $(DESTDIR)$(mandir)/man1
	$(foreach x, $(MAN1TARGETS), $(INSTALL) -m 644 $(x) $(DESTDIR)/$(mandir)/man1/;)
	$(INSTALL) -d -m 755 $(DESTDIR)$(mandir)/man3
	$(foreach x, $(MAN3TARGETS), $(INSTALL) -m 644 $(x) $(DESTDIR)/$(mandir)/man3/;)

.PHONY: all clean install

include $(TOPDIR)/Make.rules

=== src/Makefile ===
SRCDIR = $(realpath .)
TOPDIR = $(realpath ..)

SONAME = libefivar.so.$(SONAME_VERSION)

include $(TOPDIR)/Make.defaults

LIBTARGETS = libefivar.so.0
PCTARGETS = efivar.pc
BINTARGETS = efivar
INCTARGETS = efivar.h efivar-guids.h
all : $(LIBTARGETS) $(PCTARGETS) $(BINTARGETS) $(INCTARGETS)
	@$(MAKE) -C test TOPDIR=$(TOPDIR) SRCDIR=$(SRCDIR)/test $@

OBJECTS = lib.o vars.o efivarfs.o guid.o guidlist.o guid-symbols.o
DEPS = .lib.c.P .efivar.c.P .efivar.h.P .vars.c.P .lib.h.P \
	.generics.h.P .guid.h.P .guid.c.P
LIBS = dl

libefivar.a :: $(OBJECTS)

libefivar.so.$(SONAME_VERSION) :: $(OBJECTS)

efivar : efivar.o libefivar.so
	$(CCLD) $(ccldflags) -L. -lefivar -o $@ $^ -lpopt $(foreach lib,$(LIBS),-l$(lib))

efivar.pc : efivar.pc.in
	sed -e "s,@@VERSION@@,$(VERSION),g" \
	    -e "s,@@LIBDIR@@,$(libdir),g" \
		efivar.pc.in > efivar.pc

efivar.h : efivar-guids.h

fakeguid.o : guid.c
	$(CC) $(cflags) -DEFIVAR_BUILD_ENVIRONMENT -c -o $@ $^

makeguids.o : makeguids.c
	$(CC) $(cflags) -DEFIVAR_BUILD_ENVIRONMENT -c -o $@ $^

makeguids : makeguids.o fakeguid.o

efivar-guids.h : makeguids guids.txt
	./makeguids guids.txt guids.bin names.bin guid-symbols.S efivar-guids.h

guidlist.o : efivar-guids.h
	$(CC) $(cflags) -c -o guidlist.o guids.S

guid-symbols.o : guid-symbols.S
	$(CC) $(cflags) -c -o $@ $<

.INTERMEDIATE: guids.bin names.bin guid-symbols.S

deps : $(DEPS)

-include $(DEPS)

clean : 
	@rm -rfv *~ *.o *.a *.so *.so.$(SONAME_VERSION) .*.c.P .*.h.P $(PCTARGETS) $(BINTARGETS) *.bin efivar-guids.h guid-symbols.S makeguids
	@$(MAKE) -C test TOPDIR=$(TOPDIR) SRCDIR=$(TOPDIR)/src/ $@

install : all
	$(INSTALL) -d -m 755 $(DESTDIR)$(libdir)
	$(foreach x, $(LIBTARGETS), $(INSTALL) -m 755 $(x) $(DESTDIR)$(libdir);)
	$(INSTALL) -d -m 755 $(DESTDIR)$(PCDIR)
	$(foreach x, $(PCTARGETS), $(INSTALL) -m 644 $(x) $(DESTDIR)$(PCDIR) ;)
	$(INSTALL) -d -m 755 $(DESTDIR)$(includedir)
	$(foreach x, $(INCTARGETS), $(INSTALL) -m 644 $(x) $(DESTDIR)$(includedir);)
	$(INSTALL) -d -m 755 $(DESTDIR)$(bindir)
	$(foreach x, $(BINTARGETS), $(INSTALL) -m 755 $(x) $(DESTDIR)$(bindir);)
	$(foreach x, $(wildcard *.so.$(SONAME_VERSION)), ln -fs $(x) $(patsubst %.so.$(SONAME_VERSION),%.so,$(DESTDIR)$(libdir)/$(x));)

test :all
	$(MAKE) -C test TOPDIR=$(TOPDIR) SRCDIR=$(TOPDIR)/src/ $@

.PHONY: all deps clean install test

include $(TOPDIR)/Make.rules

=== src/test/Makefile ===
SRCDIR = $(realpath .)
TOPDIR = $(realpath $(SRCDIR)/../..)

include $(TOPDIR)/Make.defaults

ccldflags += -L$(TOPDIR)/src/ -Wl,-rpath=$(TOPDIR)/src/
LIBS=efivar

all : tester

install :

clean :
	@rm -rfv tester *.o *.E *.S

test : tester
	./tester

tester :: tester.o

.PHONY: all clean install test

include $(TOPDIR)/Make.rules

=== debian/changelog ===
efivar (0.15-3) unstable; urgency=medium

  * Partially fix #773007 by defining DataSize based on whether our kernel is
    32/64-bit.

 -- Daniel Jared Dominguez <Jared_Dominguez@Dell.com>  Wed, 17 Dec 2014 22:26:58 -0600

efivar (0.15-2) unstable; urgency=medium

  * Apply upstream patches (Closes: #764386)

 -- Daniel Jared Dominguez <Jared_Dominguez@Dell.com>  Mon, 03 Nov 2014 10:07:39 -0600

efivar (0.15-1) unstable; urgency=medium

  * New upstream release
  * Clear out the quilt patch series 

 -- Daniel Jared Dominguez <Jared_Dominguez@Dell.com>  Tue, 28 Oct 2014 21:26:08 -0500

efivar (0.14-1) unstable; urgency=medium

  * New upstream release
  * Declare efivar binary package Multi-Arch: foreign
  * libefivar-dev should be Multi-Arch: same
  * Upstream patch a01d1062 to fix 32-bit x86

 -- Daniel Jared Dominguez <Jared_Dominguez@Dell.com>  Sat, 11 Oct 2014 11:43:56 -0500

efivar (0.12-1) unstable; urgency=medium

  * New upstream release

 -- Daniel Jared Dominguez <Jared_Dominguez@Dell.com>  Mon, 29 Sep 2014 15:45:20 -0500

efivar (0.11-1) unstable; urgency=medium

  * New upstream release
  * Remove all current quilt patches since they're all upstream 

 -- Daniel Jared Dominguez <Jared_Dominguez@Dell.com>  Thu, 28 Aug 2014 19:18:06 -0500

efivar (0.10-5) unstable; urgency=medium

  * Better debian/watch file

 -- Daniel Jared Dominguez <Jared_Dominguez@Dell.com>  Mon, 07 Jul 2014 15:26:10 -0500

efivar (0.10-4) unstable; urgency=medium

  * Add 07-assembly-comment.patch to fix armhf builds (Closes: #752273)
  * Rename man page patch to match Ubuntu.

 -- Daniel Jared Dominguez <Jared_Dominguez@Dell.com>  Tue, 24 Jun 2014 12:27:22 -0500

efivar (0.10-3) unstable; urgency=medium

  * Use .balign instead of .align in assembly files to fix building issue on
    armhf
  * Add real efivar(1) man page

 -- Daniel Jared Dominguez <Jared_Dominguez@Dell.com>  Tue, 17 Jun 2014 11:25:52 -0500

efivar (0.10-2) unstable; urgency=medium

  * Fix shlib-with-executable-stack lintian warning in libefivar0 

 -- Daniel Jared Dominguez <Jared_Dominguez@Dell.com>  Tue, 10 Jun 2014 14:58:19 -0500

efivar (0.10-1) unstable; urgency=low

  * Initial release (Closes: #750780)
  * Multiarch support
  * Add README.Debian for description on building source package

 -- Daniel Jared Dominguez <Jared_Dominguez@Dell.com>  Fri, 06 Jun 2014 15:40:53 -0500

=== debian/control ===
Source: efivar
Priority: optional
Maintainer: Daniel Jared Dominguez <Jared_Dominguez@Dell.com>
Uploaders: Steve McIntyre <93sam@debian.org>
Build-Depends: debhelper (>= 9.0.0), libpopt-dev
Standards-Version: 3.9.6
Section: libs
Homepage: https://github.com/vathpela/efivar
Vcs-Git: git://anonscm.debian.org/collab-maint/efivar.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/efivar.git

Package: libefivar-dev
Section: libdevel
Architecture: amd64 i386 ia64 armhf arm64 armel
Multi-Arch: same
Depends: libefivar0 (= ${binary:Version}), ${misc:Depends}
Description: Development headers for libefivar
 development headers required to use libefivar

Package: efivar
Section: admin
Architecture: amd64 i386 ia64 armhf arm64 armel
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, libefivar0 (= ${binary:Version})
Description: Tools to manage UEFI variables
 efivar provides a simple command line interface to the UEFI variable facility.

Package: libefivar0
Architecture: amd64 i386 ia64 armhf arm64 armel
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Library to manage UEFI variables
 Library to allow for the simple manipulation of UEFI variables.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1
export DH_OPTIONS=-V

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ 

override_dh_auto_build:
	dh_auto_build -- libdir=\$${prefix}/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_auto_install:
	dh_auto_install -- libdir=\$${prefix}/usr/lib/$(DEB_HOST_MULTIARCH)

## efivar 0.21

=== Makefile ===
TOPDIR = $(shell echo $$PWD)

include $(TOPDIR)/Make.version

SUBDIRS := src docs

all : $(SUBDIRS) efivar.spec

efivar efivar-static :
	$(MAKE) -C src TOPDIR=$(TOPDIR) SRCDIR=$(TOPDIR)/$@/ ARCH=$(ARCH) $@

$(SUBDIRS) :
	$(MAKE) -C $@ TOPDIR=$(TOPDIR) SRCDIR=$(TOPDIR)/$@/ ARCH=$(ARCH)

clean :
	@set -e ; for x in $(SUBDIRS) ; do $(MAKE) -C $${x} TOPDIR=$(TOPDIR) SRCDIR=$(TOPDIR)/$@/ ARCH=$(ARCH) $@ ; done
	@rm -vf efivar.spec

install :
	@set -e ; for x in $(SUBDIRS) ; do $(MAKE) -C $${x} TOPDIR=$(TOPDIR) SRCDIR=$(TOPDIR)/$@/ ARCH=$(ARCH) DESTDIR=$(DESTDIR) includedir=$(includedir) bindir=$(bindir) libdir=$(libdir) PCDIR=$(PCDIR) $@ ; done

brick : all
	@set -e ; for x in $(SUBDIRS) ; do $(MAKE) -C $${x} TOPDIR=$(TOPDIR) SRCDIR=$(TOPDIR)/$@/ ARCH=$(ARCH) test ; done

a :
	@if [ $${EUID} != 0 ]; then \
		echo no 1>&2 ; \
		exit 1 ; \
	fi

.PHONY: $(SUBDIRS) all clean install a brick

include $(TOPDIR)/Make.defaults
include $(TOPDIR)/Make.rules

efivar.spec : efivar.spec.in Makefile
	@sed -e "s,@@VERSION@@,$(VERSION),g" $< > $@

GITTAG = $(VERSION)

test-archive: efivar.spec
	@rm -rf /tmp/efivar-$(VERSION) /tmp/efivar-$(VERSION)-tmp
	@mkdir -p /tmp/efivar-$(VERSION)-tmp
	@git archive --format=tar $(shell git branch | awk '/^*/ { print $$2 }') | ( cd /tmp/efivar-$(VERSION)-tmp/ ; tar x )
	@git diff | ( cd /tmp/efivar-$(VERSION)-tmp/ ; patch -s -p1 -b -z .gitdiff )
	@mv /tmp/efivar-$(VERSION)-tmp/ /tmp/efivar-$(VERSION)/
	@cp efivar.spec /tmp/efivar-$(VERSION)/
	@dir=$$PWD; cd /tmp; tar -c --bzip2 -f $$dir/efivar-$(VERSION).tar.bz2 efivar-$(VERSION)
	@rm -rf /tmp/efivar-$(VERSION)
	@echo "The archive is in efivar-$(VERSION).tar.bz2"

tag:
	git tag -s $(GITTAG) refs/heads/master

archive: tag efivar.spec
	@rm -rf /tmp/efivar-$(VERSION) /tmp/efivar-$(VERSION)-tmp
	@mkdir -p /tmp/efivar-$(VERSION)-tmp
	@git archive --format=tar $(GITTAG) | ( cd /tmp/efivar-$(VERSION)-tmp/ ; tar x )
	@mv /tmp/efivar-$(VERSION)-tmp/ /tmp/efivar-$(VERSION)/
	@cp efivar.spec /tmp/efivar-$(VERSION)/
	@dir=$$PWD; cd /tmp; tar -c --bzip2 -f $$dir/efivar-$(VERSION).tar.bz2 efivar-$(VERSION)
	@rm -rf /tmp/efivar-$(VERSION)
	@echo "The archive is in efivar-$(VERSION).tar.bz2"

=== docs/Makefile ===
--- 
+++ 
@@ -2,6 +2,7 @@
 TOPDIR = $(SRCDIR)/..
 
 include $(TOPDIR)/Make.defaults
+include $(TOPDIR)/Make.version
 
 MAN1TARGETS = efivar.1
 MAN3TARGETS = efi_append_variable.3 \
@@ -10,6 +11,7 @@
 	     efi_get_variable.3 \
 	     efi_get_variable_attributes.3 \
 	     efi_get_variable_size.3 \
+	     efi_guid_to_id_guid.3 \
 	     efi_guid_to_name.3 \
 	     efi_guid_to_str.3 \
 	     efi_guid_to_symbol.3 \
@@ -17,7 +19,21 @@
 	     efi_set_variable.3 \
 	     efi_str_to_guid.3 \
 	     efi_symbol_to_guid.3 \
-	     efi_variables_supported.3
+	     efi_variables_supported.3 \
+	     efi_variable_t.3 \
+	     efi_variable_import.3 \
+	     efi_variable_export.3 \
+	     efi_variable_alloc.3 \
+	     efi_variable_free.3 \
+	     efi_variable_set_name.3 \
+	     efi_variable_get_name.3 \
+	     efi_variable_set_guid.3 \
+	     efi_variable_get_guid.3 \
+	     efi_variable_set_data.3 \
+	     efi_variable_get_data.3 \
+	     efi_variable_get_attributes.3 \
+	     efi_variable_set_attributes.3 \
+	     efi_variable_realize.3
 
 all :

=== src/Makefile ===
SRCDIR = $(realpath .)
TOPDIR = $(realpath ..)

include $(TOPDIR)/Make.defaults
include $(TOPDIR)/Make.version

LIBTARGETS = $(foreach x,libefivar libefiboot,$(x).so.$(VERSION) $(x).so.$(MAJOR_VERSION))
PCTARGETS = efivar.pc efiboot.pc
BINTARGETS = efivar
INCTARGETS = include/efivar/efivar-guids.h
all : $(EFIVAR_DEPS) $(INCTARGETS) deps
all : $(LIBTARGETS) $(PCTARGETS) $(BINTARGETS) libefiboot.so
	@$(MAKE) -C test TOPDIR=$(TOPDIR) SRCDIR=$(SRCDIR)/test $@

EFIVAR_OBJECTS = dp.o dp-acpi.o dp-hw.o dp-media.o dp-message.o \
	efivarfs.o export.o guid.o guidlist.o guid-symbols.o \
	lib.o vars.o
# c files (alphabetically), then local headers (alphabetically),
# then target headers (again alphabetically)
EFIVAR_DEPS = .dp.c.P .dp-acpi.c.P .dp-hw.c.P .dp-media.c.P .dp-message.c.P \
	.efivar.c.P .efivarfs.c.P .export.c.P .guid.c.P .lib.c.P .vars.c.P \
	.dp.h.P .generics.h.P .guid.h.P .lib.h.P \
	include/efivar/.efivar.h.P include/efivar/.efivar-dp.h.P \
	include/efivar/.efivar-guids.h.P
EFIVAR_LIBS = dl

MAKEGUIDS_DEPS = .makeguids.c.P include/efivar/.efivar.h.P .util.h.P .guid.h.P

EFIBOOT_OBJECTS =  \
	crc32.o creator.o disk.o gpt.o linux.o loadopt.o
EFIBOOT_DEPS = \
	.crc32.c.P .crc32.h.P .creator.c.P .disk.c.P .disk.h.P \
	.gpt.c.P .gpt.h.P .linux.c.P .linux.h.P .loadopt.c.P \
	include/efivar/.efiboot-creator.h.P \
	include/efivar/.efiboot-loadopt.h.P

libefivar.a :: $(EFIVAR_OBJECTS)
libefivar.so.$(VERSION) : LIBS = $(EFIVAR_LIBS)
libefivar.so.$(VERSION) : $(EFIVAR_OBJECTS)

libefiboot.a :: $(EFIBOOT_OBJECTS)
libefiboot.so.$(VERSION) : $(EFIBOOT_OBJECTS) libefivar.so

efivar : efivar.o libefivar.so
	$(CCLD) $(ccldflags) -L. -lefivar -o $@ $^ \
		-lpopt $(foreach lib,$(EFIVAR_LIBS),-l$(lib))

efivar-static : efivar.o libefivar.a
	$(CCLD) $(ccldflags) -static -L. -o $@ $^ \
		-lpopt $(foreach lib,$(EFIVAR_LIBS),-l$(lib))

%.pc : %.pc.in
	sed -e "s,@@VERSION@@,$(VERSION),g" \
	    -e "s,@@LIBDIR@@,$(libdir),g" \
		$< > $@

include/efivar/efivar.h : include/efivar/efivar-guids.h

fakeguid.o : guid.c
	$(CC) $(cflags) -DEFIVAR_BUILD_ENVIRONMENT -c -o $@ $<

makeguids.o : makeguids.c
	$(CC) $(cflags) -DEFIVAR_BUILD_ENVIRONMENT -c -o $@ $<

makeguids : makeguids.o fakeguid.o
	$(CC) $(cflags) -o $@ $^ -ldl

include/efivar/efivar-guids.h : makeguids guids.txt
	./makeguids guids.txt guids.bin names.bin guid-symbols.S $@

guidlist.o : guids.S include/efivar/efivar-guids.h
	$(CC) $(cflags) -c -o guidlist.o guids.S

guid-symbols.o : guid-symbols.S
	$(CC) $(cflags) -c -o $@ $<

.INTERMEDIATE: guids.bin names.bin guid-symbols.S

deps : $(EFIVAR_DEPS) $(EFIBOOT_DEPS) $(MAKEGUIDS_DEPS)

-include $(EFIVAR_DEPS)
-include $(EFIBOOT_DEPS)
-include $(MAKEGUIDS_DEPS)

clean : 
	@rm -rfv *~ *.o *.a *.so *.so.$(MAJOR_VERSION) *.so.$(VERSION) .*.c.P .*.h.P $(PCTARGETS) $(BINTARGETS) $(INCTARGETS) *.bin guid-symbols.S makeguids include/efivar/.*.h.P $(LIBTARGETS)
	@$(MAKE) -C test TOPDIR=$(TOPDIR) SRCDIR=$(TOPDIR)/src/ $@

install : all
	$(INSTALL) -d -m 755 $(DESTDIR)$(libdir)
	$(foreach x, $(LIBTARGETS), $(INSTALL) -m 755 $(x) $(DESTDIR)$(libdir);)
	$(INSTALL) -d -m 755 $(DESTDIR)$(PCDIR)
	$(foreach x, $(PCTARGETS), $(INSTALL) -m 644 $(x) $(DESTDIR)$(PCDIR) ;)
	$(INSTALL) -d -m 755 $(DESTDIR)$(includedir)/efivar
	$(foreach x, $(wildcard $(TOPDIR)/src/include/efivar/*.h), $(INSTALL) -m 644 $(x) $(DESTDIR)$(includedir)/efivar/$(notdir $(x));)
	$(INSTALL) -d -m 755 $(DESTDIR)$(bindir)
	$(foreach x, $(BINTARGETS), $(INSTALL) -m 755 $(x) $(DESTDIR)$(bindir);)
	$(foreach x, $(wildcard *.so.$(VERSION)), ln -fs $(x) $(patsubst %.so.$(VERSION),%.so,$(DESTDIR)$(libdir)/$(x));)
	$(foreach x, $(wildcard *.so.$(VERSION)), ln -fs $(x) $(patsubst %.so.$(VERSION),%.so.$(MAJOR_VERSION),$(DESTDIR)$(libdir)/$(x));)

test :all
	$(MAKE) -C test TOPDIR=$(TOPDIR) SRCDIR=$(TOPDIR)/src/ $@

.PHONY: all deps clean install test

include $(TOPDIR)/Make.rules

=== debian/changelog ===
efivar (0.21-1~14.04.2) trusty; urgency=medium

  * Remove spurious Breaks for efibootmgr; the efibootmgr in 14.04 does not
    have a runtime dependency on libefivar0 so no Breaks is needed.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Wed, 01 Jun 2016 16:17:14 -0400

efivar (0.21-1~14.04.1) trusty; urgency=medium

  * Backport efivar to 14.04; to support mokutil. (LP: #1574727)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 26 Apr 2016 11:22:03 -0400

efivar (0.21-1) unstable; urgency=medium

  * New upstream release
  * Don't override dh_auto_test anymore since it's not needed now.

 -- Daniel Jared Dominguez <Jared_Dominguez@Dell.com>  Mon, 13 Jul 2015 16:45:14 -0500

efivar (0.20-4) unstable; urgency=medium

  * Upstream says that we don't want to run "make test" on our buildds so don't

 -- Daniel Jared Dominguez <Jared_Dominguez@Dell.com>  Wed, 24 Jun 2015 15:54:08 -0500

efivar (0.20-3) unstable; urgency=medium

  * Exclude the padded NULL when comparing the file size in vars_del_variable()

 -- Daniel Jared Dominguez <Jared_Dominguez@Dell.com>  Wed, 24 Jun 2015 10:01:23 -0500

efivar (0.20-2) unstable; urgency=medium

  * Use a more standard soname version.

 -- Daniel Jared Dominguez <Jared_Dominguez@Dell.com>  Mon, 22 Jun 2015 15:35:15 -0500

efivar (0.20-1) unstable; urgency=medium

  * ACK'ing Mario's changes

 -- Daniel Jared Dominguez <Jared_Dominguez@Dell.com>  Tue, 09 Jun 2015 13:04:03 -0500

efivar (0.20-0.1) UNRELEASED; urgency=medium

  [ Mario Limonciello ]
  * Drop patches that are already upstream.
  * Add a patch to create explicit dependency on -ldl to fix FTBFS on pesign.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Thu, 04 Jun 2015 15:31:45 -0500

efivar (0.19-4) unstable; urgency=medium

  * Mario couldn't let me go another hour without a patch:
    Adjust linker order for pkg-config to fix FTBFS on Ubuntu toolchain

 -- Daniel Jared Dominguez <Jared_Dominguez@Dell.com>  Mon, 01 Jun 2015 23:22:27 -0500

efivar (0.19-3) unstable; urgency=medium

  * Fix build on Ubuntu as reported by Mario Limonciello.

 -- Daniel Jared Dominguez <Jared_Dominguez@Dell.com>  Mon, 01 Jun 2015 22:54:19 -0500

efivar (0.19-2) unstable; urgency=medium

  * Upstream: Work around LocateDevicePath() not grokking PcieRoot() devices 
    properly.

 -- Daniel Jared Dominguez <Jared_Dominguez@Dell.com>  Mon, 01 Jun 2015 15:40:23 -0500

efivar (0.19-1) unstable; urgency=medium

  * New upstream release
  * All quilt patches upstream

 -- Daniel Jared Dominguez <Jared_Dominguez@Dell.com>  Fri, 29 May 2015 10:39:38 -0500

efivar (0.18-1) unstable; urgency=medium

  * New upstream release
  * We didn't actually skip 0.1[67], they just weren't really released upstream
  * Remove all previous quilt patches since they're upstream now
  * We need to remove includ of pci/pci.h
  * I guess I want debian-policy 3.9.6.1. Where do all these periods come from?

 -- Daniel Jared Dominguez <Jared_Dominguez@Dell.com>  Fri, 08 May 2015 14:40:37 -0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Maintainer: Daniel Jared Dominguez <Jared_Dominguez@Dell.com>
 Uploaders: Steve McIntyre <93sam@debian.org>
 Build-Depends: debhelper (>= 9.0.0), libpopt-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.6.1
 Section: libs
 Homepage: https://github.com/vathpela/efivar
 Vcs-Git: git://anonscm.debian.org/collab-maint/efivar.git

=== debian/watch ===
# You can run the "uscan" command to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

#opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/efivar-$1\.tar\.gz/ \
#https://github.com/vathpela/efivar/tags .*/v?(\d\S*)\.tar\.gz

https://github.com/vathpela/efivar/releases \
.*[^n]/(?:|v|version-|r|REL_|rel-|efivar(?:_|-))(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## efivar 0.23

=== Makefile ===
--- 
+++ 
@@ -1,26 +1,26 @@
 TOPDIR = $(shell echo $$PWD)
 
 include $(TOPDIR)/Make.version
+include $(TOPDIR)/Make.rules
+include $(TOPDIR)/Make.defaults
 
 SUBDIRS := src docs
 
-all : $(SUBDIRS) efivar.spec
+all clean install deps :: | Make.version
+	@set -e ; for x in $(SUBDIRS) ; do \
+		$(MAKE) -C $$x $@ ; \
+	done
+
+all :: efivar.spec
 
 efivar efivar-static :
-	$(MAKE) -C src TOPDIR=$(TOPDIR) SRCDIR=$(TOPDIR)/$@/ ARCH=$(ARCH) $@
+	$(MAKE) -C src $@
 
 $(SUBDIRS) :
-	$(MAKE) -C $@ TOPDIR=$(TOPDIR) SRCDIR=$(TOPDIR)/$@/ ARCH=$(ARCH)
-
-clean :
-	@set -e ; for x in $(SUBDIRS) ; do $(MAKE) -C $${x} TOPDIR=$(TOPDIR) SRCDIR=$(TOPDIR)/$@/ ARCH=$(ARCH) $@ ; done
-	@rm -vf efivar.spec
-
-install :
-	@set -e ; for x in $(SUBDIRS) ; do $(MAKE) -C $${x} TOPDIR=$(TOPDIR) SRCDIR=$(TOPDIR)/$@/ ARCH=$(ARCH) DESTDIR=$(DESTDIR) includedir=$(includedir) bindir=$(bindir) libdir=$(libdir) PCDIR=$(PCDIR) $@ ; done
+	$(MAKE) -C $@
 
 brick : all
-	@set -e ; for x in $(SUBDIRS) ; do $(MAKE) -C $${x} TOPDIR=$(TOPDIR) SRCDIR=$(TOPDIR)/$@/ ARCH=$(ARCH) test ; done
+	@set -e ; for x in $(SUBDIRS) ; do $(MAKE) -C $${x} test ; done
 
 a :
 	@if [ $${EUID} != 0 ]; then \
@@ -28,13 +28,12 @@
 		exit 1 ; \
 	fi
 
-.PHONY: $(SUBDIRS) all clean install a brick
+.PHONY: $(SUBDIRS) a brick
 
-include $(TOPDIR)/Make.defaults
-include $(TOPDIR)/Make.rules
+efivar.spec : | Makefile Make.version
 
-efivar.spec : efivar.spec.in Makefile
-	@sed -e "s,@@VERSION@@,$(VERSION),g" $< > $@
+clean ::
+	@rm -vf efivar.spec
 
 GITTAG = $(VERSION)

=== src/Makefile ===
SRCDIR = $(realpath .)
TOPDIR = $(realpath ..)

include $(TOPDIR)/Make.version
include $(TOPDIR)/Make.rules
include $(TOPDIR)/Make.defaults
-include $(call deps-of,$(ALL_SOURCES))

LIBTARGETS=libefivar.so libefiboot.so
STATICLIBTARGETS=libefivar.a libefiboot.a
BINTARGETS=efivar efivar-static
PCTARGETS=efivar.pc efiboot.pc
TARGETS=$(LIBTARGETS) $(STATICLIBTARGETS) $(BINTARGETS) $(PCTARGETS)

LIBEFIBOOT_SOURCES = crc32.c creator.c disk.c gpt.c linux.c loadopt.c
LIBEFIBOOT_OBJECTS = $(patsubst %.c,%.o,$(LIBEFIBOOT_SOURCES))
LIBEFIVAR_SOURCES = dp.c dp-acpi.c dp-hw.c dp-media.c dp-message.c \
	efivarfs.c export.c guid.c guids.S guid-symbols.c \
	lib.c vars.c
LIBEFIVAR_OBJECTS = $(patsubst %.S,%.o,$(patsubst %.c,%.o,$(LIBEFIVAR_SOURCES)))
EFIVAR_SOURCES = efivar.c
GENERATED_SOURCES = include/efivar/efivar-guids.h guid-symbols.c
MAKEGUIDS_SOURCES = makeguids.c guid.c
ALL_SOURCES=$(LIBEFIBOOT_SOURCES) $(LIBEFIVAR_SOURCES) $(MAKEGUIDS_SOURCES) \
	$(wildcard include/efivar/*.h) $(GENERATED_SOURCES) $(EFIVAR_SOURCES)

all : deps $(TARGETS)

./guid-symbols.c : include/efivar/efivar-guids.h
./guids.bin : include/efivar/efivar-guids.h
./names.bin : include/efivar/efivar-guids.h
include/efivar/efivar-guids.h : makeguids guids.txt
	./makeguids guids.txt guids.bin names.bin \
		guid-symbols.c include/efivar/efivar-guids.h

makeguids : CPPFLAGS+=-DEFIVAR_BUILD_ENVIRONMENT
makeguids : LIBS=dl
makeguids : $(MAKEGUIDS_SOURCES)

guids.o : guids.S | guids.bin names.bin

$(LIBEFIVAR_OBJECTS) $(LIBEFIBOOT_OBJECTS) : | $(GENERATED_SOURCES)

libefivar.a : | $(GENERATED_SOURCES)
libefivar.a : $(patsubst %.o,%.static.o,$(LIBEFIVAR_OBJECTS))

libefivar.so : $(LIBEFIVAR_OBJECTS)
libefivar.so : | $(GENERATED_SOURCES)
libefivar.so : LIBS=dl

efivar : efivar.c | libefivar.so
efivar : LIBS=efivar dl
efivar : PKGS=popt

efivar-static : efivar.c $(patsubst %.o,%.static.o,$(LIBEFIVAR_OBJECTS))
efivar-static : | $(GENERATED_SOURCES)
efivar-static : LIBS=dl
efivar-static : PKGS=popt

libefiboot.a : $(patsubst %.o,%.static.o,$(LIBEFIBOOT_OBJECTS))

libefiboot.so : $(LIBEFIBOOT_OBJECTS)

deps :: $(ALL_SOURCES)
	$(MAKE) -f $(SRCDIR)/Make.deps deps SOURCES="$(ALL_SOURCES)"

clean : 
	@rm -rfv *~ *.o *.a *.E *.so *.so.* *.pc *.bin .*.d \
		makeguids guid-symbols.c include/efivar/efivar-guids.h \
		$(BINTARGETS)
	@# remove the deps files we used to create, as well.
	@rm -rfv .*.P .*.h.P *.S.P include/efivar/.*.h.P

install : all
	$(INSTALL) -d -m 755 $(DESTDIR)$(libdir)
	$(foreach x,$(LIBTARGETS), \
		$(INSTALL) -m 755 $(x) $(DESTDIR)$(libdir)/$(x).$(VERSION) ;\
		ln -fs $(x).$(VERSION) $(DESTDIR)$(libdir)/$(x).$(MAJOR_VERSION);\
		ln -fs $(x).$(VERSION) $(DESTDIR)$(libdir)/$(x); )
	$(INSTALL) -d -m 755 $(DESTDIR)$(PCDIR)
	$(foreach x, $(PCTARGETS), $(INSTALL) -m 644 $(x) $(DESTDIR)$(PCDIR) ;)
	$(INSTALL) -d -m 755 $(DESTDIR)$(includedir)/efivar
	$(foreach x, $(wildcard $(TOPDIR)/src/include/efivar/*.h), $(INSTALL) -m 644 $(x) $(DESTDIR)$(includedir)/efivar/$(notdir $(x));)
	$(INSTALL) -d -m 755 $(DESTDIR)$(bindir)
	$(foreach x, $(BINTARGETS), $(INSTALL) -m 755 $(x) $(DESTDIR)$(bindir);)

test : all
	$(MAKE) -C test $@

.PHONY: test
.SECONDARY : libefivar.so.$(VERSION) libefivar.so.$(MAJOR_VERSION)
.SECONDARY : libefiboot.so.$(VERSION) libefiboot.so.$(MAJOR_VERSION)
.SECONDARY : include/efivar/efivar-guids.h guid-symbols.c
.INTERMEDIATE : guids.bin names.bin
.PRECIOUS : guid-symbols.o makeguids

=== debian/changelog ===
efivar (0.23-2) unstable; urgency=medium

  [ Mario Limonciello ]
  * Backport patches to fix fwupdate working on NVMe drives from efivar master.

  [ Daniel Jared Dominguez ]
  * Remove debug output in debian/rules I forgot to take out.

 -- Daniel Jared Dominguez <Jared_Dominguez@Dell.com>  Fri, 11 Mar 2016 01:43:01 -0600

efivar (0.23-1) unstable; urgency=medium

  [ Steve McIntyre ]
  * Correct upstream information - https://github.com/rhinstaller/efivar

  [ Peter Jones ]
  * Sometimes the compiler doesn't like { 0, } as an initializer...
  * Set the correct value for SATA port multipliers when there isn't one.
  * Make our definitions for efi_well_known_guid* consistent.
  * Make the makefile a lot simpler to deal with.

  [ Felix Janda ]
  * Use the more portable major() instead of gnu_dev_major()

  [ Peter Jones ]
  * Treat minor device numbers in sysfs as unsigned.
  * Make the compiler enforce strict symbol versioning.

  [ Lans Zhang ]
  * Fix getting back a wrong relpath

  [ Peter Jones ]
  * Make library objects depend on generated sources so make -jN works better.
  * Fix .PRECIOUS / .INTERMEDIATE / .SECONDARY to avoid unneeded rebuilding.
  * libefivar: Try to do a better job on SATA.
  * libefivar: explicitly link with libdl
  * Format ACPI _ADR device lists in hex, not decimal.
  * Return the right offset in format_vendor_helper()
  * libefiboot: Make efidp multi-instance iteration actually work.
  * Show a closing ) on vendor console device paths.
  * Temporarily use --add-needed when linking libefivar.so
  * Ignore efivar-static in the rpm .spec
  * Mark more of our exports with "default" visibility.
  * Make makeguids generate guid-symbols.c instead of .S
  * efivar: Don't list padding from the end of efi_well_known_guids with -L
  * Make LDFLAGS get set right from the rpm build
  * Make -fPIC and -fPIE work as they should, and default correctly
  * Use gcc -specs= for most command line stuff normally.
  * libefiboot: figure out nvme device paths better.

  [ Sylvain Chouleur ]
  * Rename endian.h into efivar_endian.h to avoid conflicts

  [ Steve McIntyre ]
  * Multiple fixes for compilation with gcc 6

  [ Peter Jones ]
  * Make efivar work with immutable efivarfs files.
  * Release 0.22

  [ Mike Gilbert ]
  * Make.defaults: Improve gcc/clang detection

  [ Felix Janda ]
  * Compile without -fshort-wchar

  [ Peter Jones ]
  * Make guids be in correct byte order both in text and ram...
  * Put "-L." is in LDFLAGS so we don't need installed libefivar to build.
  * Make gcc.specs work with gcc 6 / binutils 2.26
  * Make df78c364 actually work.
  * Try to pretend 0.22 didn't happen by making 0.23 the next day.

  [ Daniel Jared Dominguez ]
  * don't need current quilt patches after merging 0.23
  * deal with kernel 4.4's botched NVMe header reorg
  * use debian-policy 3.9.7.0
  * update watch file
  * we need pkg-config to build

 -- Daniel Jared Dominguez <Jared_Dominguez@Dell.com>  Thu, 18 Feb 2016 14:25:19 -0600

efivar (0.21-2) unstable; urgency=medium

  * update VCS info
  * use debian-efi as maintainer
  * Multiple fixes for compilation with gcc 6. Closes: #811609

 -- Steve McIntyre <93sam@debian.org>  Mon, 25 Jan 2016 21:35:09 +0000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: efivar
 Priority: optional
-Maintainer: Daniel Jared Dominguez <Jared_Dominguez@Dell.com>
-Uploaders: Steve McIntyre <93sam@debian.org>
-Build-Depends: debhelper (>= 9.0.0), libpopt-dev
-Standards-Version: 3.9.6.1
+Maintainer: Debian UEFI Maintainers <debian-efi@lists.debian.org>
+Uploaders: Daniel Jared Dominguez <Jared_Dominguez@Dell.com>, Steve McIntyre <93sam@debian.org>
+Build-Depends: debhelper (>= 9.0.0), libpopt-dev, pkg-config
+Standards-Version: 3.9.7.0
 Section: libs
-Homepage: https://github.com/vathpela/efivar
-Vcs-Git: git://anonscm.debian.org/collab-maint/efivar.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/efivar.git
+Homepage: https://github.com/rhinstaller/efivar
+Vcs-Git: git://anonscm.debian.org/uefi/efivar.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=uefi/efivar.git
 
 Package: libefivar-dev
 Section: libdevel
@@ -30,5 +30,6 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Breaks: efibootmgr (<< 0.12-2)
 Description: Library to manage UEFI variables
  Library to allow for the simple manipulation of UEFI variables.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1
export DH_OPTIONS=-V

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ 

override_dh_auto_build:
	dh_auto_build -- libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)

override_dh_auto_install:
	dh_auto_install -- libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)

## efivar 30

=== debian/changelog ===
efivar (30-2) unstable; urgency=medium

  * Correct NEWS format to satisfy lintian warnings
  * Backport a patch to fix builds that fail from multiple definitions
  * Backport a patch from upstream to fix NVMe sysfs support after
    kernel 4.5
  * Backport patch from upsteram to fix major/minor device handling
    (Closes: #844237)

 -- Mario Limonciello <mario.limonciello@dell.com>  Fri, 14 Apr 2017 09:43:21 -0500

efivar (30-1) unstable; urgency=medium

  * new upstream version (30)
  * Update dell email addresses (_ -> .)
  * Move to new SONAME based upon upstream commit b729026
    - Additional details are available in debian/NEWS.
  * Add x32 to architectures (Closes: #777261)
  * Build with -flto by default, to avoid efivar issue #60

 -- Mario Limonciello <mario.limonciello@dell.com>  Fri, 23 Sep 2016 15:00:08 -0500

efivar (27-1) unstable; urgency=medium

  * Update to 27 release.
  * create new packages for updated sonames
  * Drop all patches.
  * update debian standards version
  * Add Mario to uploaders

 -- Mario Limonciello <mario_limonciello@dell.com>  Thu, 18 Aug 2016 12:58:18 -0500

## efivar 31

=== debian/changelog ===
efivar (31-1) unstable; urgency=medium

  * New upstream version (31)
  * Fixes FTBFS with gcc-7 (Closes: #853384)
  * Drop all patches (upstream)

 -- Mario Limonciello <mario.limonciello@dell.com>  Fri, 04 Aug 2017 15:49:01 -0500

## efivar 32

=== Makefile ===
TOPDIR = $(shell echo $$PWD)

include $(TOPDIR)/Make.version
include $(TOPDIR)/Make.rules
include $(TOPDIR)/Make.defaults

SUBDIRS := src docs

all : | efivar.spec Make.version
all :
	@set -e ; for x in $(SUBDIRS) ; do \
		$(MAKE) -C $$x $@ ; \
	done

install :
	@set -e ; for x in $(SUBDIRS) ; do \
		$(MAKE) -C $$x $@ ; \
	done

abidw abicheck efivar efivar-static static:
	$(MAKE) -C src $@

$(SUBDIRS) :
	$(MAKE) -C $@

brick : all
	@set -e ; for x in $(SUBDIRS) ; do $(MAKE) -C $${x} test ; done

a :
	@if [ $${EUID} != 0 ]; then \
		echo no 1>&2 ; \
		exit 1 ; \
	fi

.PHONY: $(SUBDIRS) a brick coverity cov-upload

GITTAG = $(shell bash -c "echo $$(($(VERSION) + 1))")

efivar.spec : | Makefile Make.version

COV_EMAIL=$(call get-config,coverity.email)
COV_TOKEN=$(call get-config,coverity.token)
COV_URL=$(call get-config,coverity.url)
COV_FILE=efivar-coverity-$(GITTAG)-$(COMMIT_ID).tar.bz2
COMMIT_ID=$(shell git log -1 --pretty=%H 2>/dev/null || echo master)

cov-int : clean
	cov-build --dir cov-int make all

$(COV_FILE) : cov-int
	tar caf $@ cov-int

cov-upload :
	@if [[ -n "$(COV_URL)" ]] &&					\
	    [[ -n "$(COV_TOKEN)" ]] &&					\
	    [[ -n "$(COV_EMAIL)" ]] ;					\
	then								\
		echo curl --form token=$(COV_TOKEN) --form email="$(COV_EMAIL)" --form file=@"$(COV_FILE)" --form version=$(GITTAG).1 --form description="$(COMMIT_ID)" "$(COV_URL)" ; \
		curl --form token=$(COV_TOKEN) --form email="$(COV_EMAIL)" --form file=@"$(COV_FILE)" --form version=$(GITTAG).1 --form description="$(COMMIT_ID)" "$(COV_URL)" ; \
	else								\
		echo Coverity output is in $(COV_FILE) ;		\
	fi

coverity : $(COV_FILE) cov-upload

clean :
	@set -e ; for x in $(SUBDIRS) ; do \
		$(MAKE) -C $$x $@ ; \
	done
	@rm -vf efivar.spec
	@rm -vrf cov-int efivar-coverity-*.tar.*

test-archive: abicheck efivar.spec
	@rm -rf /tmp/efivar-$(GITTAG) /tmp/efivar-$(GITTAG)-tmp
	@mkdir -p /tmp/efivar-$(GITTAG)-tmp
	@git archive --format=tar $(shell git branch | awk '/^*/ { print $$2 }') | ( cd /tmp/efivar-$(GITTAG)-tmp/ ; tar x )
	@git diff | ( cd /tmp/efivar-$(GITTAG)-tmp/ ; patch -s -p1 -b -z .gitdiff )
	@mv /tmp/efivar-$(GITTAG)-tmp/ /tmp/efivar-$(GITTAG)/
	@cp efivar.spec /tmp/efivar-$(GITTAG)/
	@dir=$$PWD; cd /tmp; tar -c --bzip2 -f $$dir/efivar-$(GITTAG).tar.bz2 efivar-$(GITTAG)
	@rm -rf /tmp/efivar-$(GITTAG)
	@echo "The archive is in efivar-$(GITTAG).tar.bz2"

bumpver :
	@echo VERSION=$(GITTAG) > Make.version
	@git add Make.version
	git commit -m "Bump version to $(GITTAG)" -s

tag:
	git tag -s $(GITTAG) refs/heads/master

archive: abicheck bumpver abidw tag efivar.spec
	@rm -rf /tmp/efivar-$(GITTAG) /tmp/efivar-$(GITTAG)-tmp
	@mkdir -p /tmp/efivar-$(GITTAG)-tmp
	@git archive --format=tar $(GITTAG) | ( cd /tmp/efivar-$(GITTAG)-tmp/ ; tar x )
	@mv /tmp/efivar-$(GITTAG)-tmp/ /tmp/efivar-$(GITTAG)/
	@cp efivar.spec /tmp/efivar-$(GITTAG)/
	@dir=$$PWD; cd /tmp; tar -c --bzip2 -f $$dir/efivar-$(GITTAG).tar.bz2 efivar-$(GITTAG)
	@rm -rf /tmp/efivar-$(GITTAG)
	@echo "The archive is in efivar-$(GITTAG).tar.bz2"

=== src/Makefile ===
--- 
+++ 
@@ -4,18 +4,19 @@
 include $(TOPDIR)/Make.version
 include $(TOPDIR)/Make.rules
 include $(TOPDIR)/Make.defaults
--include $(call deps-of,$(ALL_SOURCES))
 
 LIBTARGETS=libefivar.so libefiboot.so
 STATICLIBTARGETS=libefivar.a libefiboot.a
-BINTARGETS=efivar efivar-static
+BINTARGETS=efivar
+STATICBINTARGETS=efivar-static
 PCTARGETS=efivar.pc efiboot.pc
-TARGETS=$(LIBTARGETS) $(STATICLIBTARGETS) $(BINTARGETS) $(PCTARGETS)
+TARGETS=$(LIBTARGETS) $(BINTARGETS) $(PCTARGETS)
+STATICTARGETS=$(STATICLIBTARGETS) $(STATICBINTARGETS)
 
 LIBEFIBOOT_SOURCES = crc32.c creator.c disk.c gpt.c linux.c loadopt.c
 LIBEFIBOOT_OBJECTS = $(patsubst %.c,%.o,$(LIBEFIBOOT_SOURCES))
 LIBEFIVAR_SOURCES = dp.c dp-acpi.c dp-hw.c dp-media.c dp-message.c \
-	efivarfs.c export.c guid.c guids.S guid-symbols.c \
+	efivarfs.c error.c export.c guid.c guids.S guid-symbols.c \
 	lib.c vars.c
 LIBEFIVAR_OBJECTS = $(patsubst %.S,%.o,$(patsubst %.c,%.o,$(LIBEFIVAR_SOURCES)))
 EFIVAR_SOURCES = efivar.c
@@ -24,7 +25,17 @@
 ALL_SOURCES=$(LIBEFIBOOT_SOURCES) $(LIBEFIVAR_SOURCES) $(MAKEGUIDS_SOURCES) \
 	$(wildcard include/efivar/*.h) $(GENERATED_SOURCES) $(EFIVAR_SOURCES)
 
-all : deps $(TARGETS)
+$(call deps-of,$(ALL_SOURCES)) : | deps
+-include $(call deps-of,$(ALL_SOURCES))
+
+all : $(TARGETS)
+
+static : $(STATICTARGETS)
+
+abidw : $(patsubst %.so,%.abixml,$(LIBTARGETS))
+	git commit -s --amend $^
+
+abicheck : $(patsubst %.so,%.abicheck,$(LIBTARGETS))
 
 ./guid-symbols.c : include/efivar/efivar-guids.h
 ./guids.bin : include/efivar/efivar-guids.h
@@ -45,8 +56,9 @@
 libefivar.a : $(patsubst %.o,%.static.o,$(LIBEFIVAR_OBJECTS))
 
 libefivar.so : $(LIBEFIVAR_OBJECTS)
-libefivar.so : | $(GENERATED_SOURCES)
+libefivar.so : | $(GENERATED_SOURCES) libefivar.map
 libefivar.so : LIBS=dl
+libefivar.so : MAP=libefivar.map
 
 efivar : efivar.c | libefivar.so
 efivar : LIBS=efivar dl
@@ -60,12 +72,15 @@
 libefiboot.a : $(patsubst %.o,%.static.o,$(LIBEFIBOOT_OBJECTS))
 
 libefiboot.so : $(LIBEFIBOOT_OBJECTS)
+libefiboot.so : | libefiboot.map libefivar.so
+libefiboot.so : LIBS=efivar
+libefiboot.so : MAP=libefiboot.map
 
-deps :: $(ALL_SOURCES)
+deps : $(ALL_SOURCES)
 	$(MAKE) -f $(SRCDIR)/Make.deps deps SOURCES="$(ALL_SOURCES)"
 
 clean : 
-	@rm -rfv *~ *.o *.a *.E *.so *.so.* *.pc *.bin .*.d \
+	@rm -rfv *~ *.o *.a *.E *.so *.so.* *.pc *.bin .*.d *.map \
 		makeguids guid-symbols.c include/efivar/efivar-guids.h \
 		$(BINTARGETS)
 	@# remove the deps files we used to create, as well.
@@ -74,9 +89,10 @@
 install : all
 	$(INSTALL) -d -m 755 $(DESTDIR)$(libdir)
 	$(foreach x,$(LIBTARGETS), \
-		$(INSTALL) -m 755 $(x) $(DESTDIR)$(libdir)/$(x).$(VERSION) ;\
-		ln -fs $(x).$(VERSION) $(DESTDIR)$(libdir)/$(x).$(MAJOR_VERSION);\
-		ln -fs $(x).$(VERSION) $(DESTDIR)$(libdir)/$(x); )
+		$(INSTALL) -m 755 $(x) $(DESTDIR)$(libdir)/$(x).1.$(VERSION) ;\
+		ln -fs $(x).1.$(VERSION) $(DESTDIR)$(libdir)/$(x).1 ;\
+		ln -fs $(x).1.$(VERSION) $(DESTDIR)$(libdir)/$(x) ;\
+		)
 	$(INSTALL) -d -m 755 $(DESTDIR)$(PCDIR)
 	$(foreach x, $(PCTARGETS), $(INSTALL) -m 644 $(x) $(DESTDIR)$(PCDIR) ;)
 	$(INSTALL) -d -m 755 $(DESTDIR)$(includedir)/efivar
@@ -87,9 +103,9 @@
 test : all
 	$(MAKE) -C test $@
 
-.PHONY: test
-.SECONDARY : libefivar.so.$(VERSION) libefivar.so.$(MAJOR_VERSION)
-.SECONDARY : libefiboot.so.$(VERSION) libefiboot.so.$(MAJOR_VERSION)
+.PHONY: test deps
+.SECONDARY : libefivar.so.1.$(VERSION) libefivar.so.1
+.SECONDARY : libefiboot.so.1.$(VERSION) libefivar.so.1
 .SECONDARY : include/efivar/efivar-guids.h guid-symbols.c
 .INTERMEDIATE : guids.bin names.bin
 .PRECIOUS : guid-symbols.o makeguids

## efivar 34

=== Makefile ===
--- 
+++ 
@@ -3,6 +3,7 @@
 include $(TOPDIR)/Make.version
 include $(TOPDIR)/Make.rules
 include $(TOPDIR)/Make.defaults
+include $(TOPDIR)/Make.coverity
 
 SUBDIRS := src docs
 
@@ -32,43 +33,17 @@
 		exit 1 ; \
 	fi
 
-.PHONY: $(SUBDIRS) a brick coverity cov-upload
+.PHONY: $(SUBDIRS) a brick
 
 GITTAG = $(shell bash -c "echo $$(($(VERSION) + 1))")
 
 efivar.spec : | Makefile Make.version
-
-COV_EMAIL=$(call get-config,coverity.email)
-COV_TOKEN=$(call get-config,coverity.token)
-COV_URL=$(call get-config,coverity.url)
-COV_FILE=efivar-coverity-$(GITTAG)-$(COMMIT_ID).tar.bz2
-COMMIT_ID=$(shell git log -1 --pretty=%H 2>/dev/null || echo master)
-
-cov-int : clean
-	cov-build --dir cov-int make all
-
-$(COV_FILE) : cov-int
-	tar caf $@ cov-int
-
-cov-upload :
-	@if [[ -n "$(COV_URL)" ]] &&					\
-	    [[ -n "$(COV_TOKEN)" ]] &&					\
-	    [[ -n "$(COV_EMAIL)" ]] ;					\
-	then								\
-		echo curl --form token=$(COV_TOKEN) --form email="$(COV_EMAIL)" --form file=@"$(COV_FILE)" --form version=$(GITTAG).1 --form description="$(COMMIT_ID)" "$(COV_URL)" ; \
-		curl --form token=$(COV_TOKEN) --form email="$(COV_EMAIL)" --form file=@"$(COV_FILE)" --form version=$(GITTAG).1 --form description="$(COMMIT_ID)" "$(COV_URL)" ; \
-	else								\
-		echo Coverity output is in $(COV_FILE) ;		\
-	fi
-
-coverity : $(COV_FILE) cov-upload
 
 clean :
 	@set -e ; for x in $(SUBDIRS) ; do \
 		$(MAKE) -C $$x $@ ; \
 	done
 	@rm -vf efivar.spec
-	@rm -vrf cov-int efivar-coverity-*.tar.*
 
 test-archive: abicheck efivar.spec
 	@rm -rf /tmp/efivar-$(GITTAG) /tmp/efivar-$(GITTAG)-tmp

=== docs/Makefile ===
--- 
+++ 
@@ -1,8 +1,9 @@
-SRCDIR = .
-TOPDIR = $(SRCDIR)/..
+SRCDIR = $(realpath .)
+TOPDIR = $(realpath ..)
 
+include $(TOPDIR)/Make.version
+include $(TOPDIR)/Make.rules
 include $(TOPDIR)/Make.defaults
-include $(TOPDIR)/Make.version
 
 MAN1TARGETS = efivar.1
 MAN3TARGETS = efi_append_variable.3 \

=== src/Makefile ===
--- 
+++ 
@@ -47,6 +47,7 @@
 makeguids : CPPFLAGS+=-DEFIVAR_BUILD_ENVIRONMENT
 makeguids : LIBS=dl
 makeguids : $(MAKEGUIDS_SOURCES)
+makeguids : CCLD=$(CCLD_FOR_BUILD)
 
 guids.o : guids.S | guids.bin names.bin
 
@@ -62,12 +63,10 @@
 
 efivar : efivar.c | libefivar.so
 efivar : LIBS=efivar dl
-efivar : PKGS=popt
 
 efivar-static : efivar.c $(patsubst %.o,%.static.o,$(LIBEFIVAR_OBJECTS))
 efivar-static : | $(GENERATED_SOURCES)
 efivar-static : LIBS=dl
-efivar-static : PKGS=popt
 
 libefiboot.a : $(patsubst %.o,%.static.o,$(LIBEFIBOOT_OBJECTS))
 
@@ -82,7 +81,7 @@
 clean : 
 	@rm -rfv *~ *.o *.a *.E *.so *.so.* *.pc *.bin .*.d *.map \
 		makeguids guid-symbols.c include/efivar/efivar-guids.h \
-		$(BINTARGETS)
+		$(TARGETS) $(STATICTARGETS)
 	@# remove the deps files we used to create, as well.
 	@rm -rfv .*.P .*.h.P *.S.P include/efivar/.*.h.P

=== debian/changelog ===
efivar (34-1~mx17+1) mx; urgency=medium

  * Repackaged for MX 17.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Thu, 15 Mar 2018 18:24:03 -0700

efivar (34-1) unstable; urgency=medium

  [ Steve McIntrye ]
  * Move git repo from alioth to salsa.d.o

  [ Mario Limonciello ]
  * New upstream version (34)
  * Drop all patches (upstream)

 -- Mario Limonciello <mario.limonciello@dell.com>  Tue, 13 Feb 2018 11:07:12 -0600

efivar (32-2) unstable; urgency=medium

  * Backport a patch that allows fwupdate 10 to compile.
  * Fix FTCBFS: (Closes: #843261)
    + Pass CROSS_COMPILE to make
    + 0001-Add-a-patch-from-Helmut-Grohne-for-cross-compiling.patch

 -- Mario Limonciello <mario.limonciello@dell.com>  Mon, 08 Jan 2018 17:24:57 -0600

efivar (32-1) unstable; urgency=medium

  * New upstream version (32)
  * update standards version

 -- Mario Limonciello <mario.limonciello@dell.com>  Tue, 31 Oct 2017 15:12:18 -0500

=== debian/control ===
Source: efivar
Priority: optional
Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
XSBC-Original-Maintainer: Debian UEFI Maintainers <debian-efi@lists.debian.org>
Uploaders: Daniel Jared Dominguez <jared.dominguez@dell.com>, Steve McIntyre <93sam@debian.org>, Mario Limonciello <mario.limonciello@dell.com>
Build-Depends: debhelper (>= 9.0.0), libpopt-dev, pkg-config
Standards-Version: 4.1.1
Section: libs
Homepage: https://github.com/rhinstaller/efivar
Vcs-Git: https://salsa.debian.org/efi-team/efivar.git
Vcs-Browser: https://salsa.debian.org/efi-team/efivar

Package: libefivar-dev
Section: libdevel
Architecture: amd64 i386 ia64 armhf arm64 armel x32
Multi-Arch: same
Depends: libefivar1 (= ${binary:Version}), ${misc:Depends}
Description: Development headers for libefivar
 development headers required to use libefivar

Package: libefiboot-dev
Section: libdevel
Architecture: amd64 i386 ia64 armhf arm64 armel x32
Multi-Arch: same
Depends: libefiboot1 (= ${binary:Version}), ${misc:Depends}
Conflicts: libefivar-dev (<< 27-1)
Replaces: libefivar-dev (<< 27-1)
Description: Development headers for libefiboot
 development headers required to use libefiboot

Package: efivar
Section: admin
Architecture: amd64 i386 ia64 armhf arm64 armel x32
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, libefivar1 (= ${binary:Version}), libefiboot1 (= ${binary:Version})
Description: Tools to manage UEFI variables
 efivar provides a simple command line interface to the UEFI variable facility.

Package: libefiboot1
Architecture: amd64 i386 ia64 armhf arm64 armel x32
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: efibootmgr (<< 0.12-2)
Description: Library to manage UEFI variables
 Library to allow for the manipulation of UEFI variables related to booting.

Package: libefivar1
Architecture: amd64 i386 ia64 armhf arm64 armel x32
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: efibootmgr (<< 0.12-2)
Description: Library to manage UEFI variables
 Library to allow for the simple manipulation of UEFI variables.
